Bug 35605 - Appliance setup with UCS desktop firefox session: "Firefox automatically sends some data to Mozilla..." message
Appliance setup with UCS desktop firefox session: "Firefox automatically send...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: System setup
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2-3-errata
Assigned To: Erik Damrose
Janek Walkenhorst
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-13 10:11 CEST by Erik Damrose
Modified: 2014-09-10 17:45 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
Do not show datasubmissionpolicy popup (1.19 KB, patch)
2014-08-27 13:06 CEST, Erik Damrose
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2014-08-13 10:11:48 CEST
While running the appliance wizard with the local UCS desktop firefox session, the message "Firefox automatically sends some data to Mozilla so that we can improve your experience" can be shown to the user. 

We should deactivate this behaviour for the setup.
Comment 1 Erik Damrose univentionstaff 2014-08-13 13:26:23 CEST
The following additions to the temporary firefox profile seem to suppress the message in firefox 24.6.0esr:

user_pref("datareporting.policy.dataSubmissionPolicyAccepted", true);
user_pref("datareporting.policy.dataSubmissionPolicyAcceptedVersion", 1);
user_pref("datareporting.policy.dataSubmissionPolicyNotifiedTime", "1365509001307");
user_pref("datareporting.policy.dataSubmissionPolicyResponseTime", "1365517336671");
user_pref("datareporting.policy.dataSubmissionPolicyResponseType", "accepted-info-bar-dismissed");
Comment 2 Erik Damrose univentionstaff 2014-08-27 13:06:33 CEST
Created attachment 6075 [details]
Do not show datasubmissionpolicy popup
Comment 3 Erik Damrose univentionstaff 2014-08-28 17:39:31 CEST
Patch applied. Preferences for the system setup profile pretends that the popup was already shown.

r53139 univention-system-setup 7.0.69-54
r53140 2014-08-28-univention-system-setup.yaml
The fix is already present in UCS 4.0
Comment 4 Janek Walkenhorst univentionstaff 2014-09-09 16:56:37 CEST
Advisory: OK
Tests: OK
Code: OK
Comment 5 Janek Walkenhorst univentionstaff 2014-09-10 17:45:55 CEST
http://errata.univention.de/ucs/3.2/204.html